stylish-haskell-0.8.1.0: Haskell code prettifier

Safe Haskell | None
Language | Haskell98

Language.Haskell.Stylish.Step.LanguagePragmas

Contents

- Utilities

Synopsis

- data Style
  - = Vertical
  - | Compact
  - | CompactLine
- step :: Int -> Style -> Bool -> Bool -> Step
- addLanguagePragma :: String -> Module SrcSpanInfo -> [Change String]

# Documentation

data Style #

Constructors

Vertical |
Compact |
CompactLine |

Instances

Eq Style # |
Methods (==) :: Style -> Style -> Bool # (/=) :: Style -> Style -> Bool #
Show Style # |
Methods showsPrec :: Int -> Style -> ShowS # show :: Style -> String # showList :: [Style] -> ShowS #

step :: Int -> Style -> Bool -> Bool -> Step #

# Utilities

addLanguagePragma :: String -> Module SrcSpanInfo -> [Change String] #

Add a LANGUAGE pragma to a module if it is not present already.